//SicherungsNrAufNull_202d.js
// 05.04.13 / Hans Haesler, Chtelard 52, CH-1018 Lausanne / <hsa@ringier.ch>
//DESCRIPTION:Setzt die Versions-Nummer auf Null zurck

// vorsichtshalber die Dialoge einschalten
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.interactWithAll;

if (app.documents.length == 0) {
	alert ("Es ist kein Dokument offen.", "Achtung");
	exit();
}

// aktuelles Dokument
var curDoc = app.documents[0];

var sTag = curDoc.extractLabel("SK_vers_number");
if (sTag != "" && sTag != "0") {
	var tagBit = ("00" + sTag).slice(-3);
	curDoc.insertLabel("SK_vers_number", "0");
	infUser(0, tagBit);
}
else {
	infUser(1, tagBit);
}

// den Anwender informieren
function infUser(x, tagBit) {
	if (x == 0) {
		alert ("Die Versions-Nummer (" + tagBit + ")\nist auf Null zurckgesetzt.", "Info");
	}
	else {
		alert ("Die Versions-Nummer ist schon Null.", "Info");
	}
}